HKeyCapabilities

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.havi.ui.event
Class HKeyCapabilities

    java.lang.Object
      org.havi.ui.event.HKeyCapabilities

Direct Known Subclasses:
  HRcCapabilities

    public class HKeyCapabilities

extends Object

This class is used to describe the (basic) keyboard capabilities of the platform.

This class is not intended to be constructed by applications.

The parameters to the constructors are as follows, in cases where parameters are not used, then the constructor should use the default values.

### Default parameter values exposed in the constructors

Parameter | Description | Default value | Set method | Get method
--- | --- | --- | --- | ---
None.

### Default parameter values not exposed in the constructors

Description | Default value | Set method | Get method
--- | --- | --- | ---
None.

Method Summary
`static boolean` | `getInputDeviceSupported()` Determine if keyboard input functionality exists in the system.
`static boolean` | `isSupported(int keycode)` Queries whether the system keyboard can generate an event of the given type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInputDeviceSupported

    public static boolean getInputDeviceSupported()

  Determine if keyboard input functionality exists in the system. Note that this functionality may be provided through a "virtual" keyboard.

  Returns:
    true if keyboard input functionality exists in the system, false otherwise.
  See Also:
    `HRcCapabilities.getInputDeviceSupported()`

### isSupported

    public static boolean isSupported(int keycode)

  Queries whether the system keyboard can generate an event of the given type. Note that this method does not distinguish between key codes which can only be generated via a virtual keyboard and key codes generated as a result of "real" key presses.

  Parameters:
    `keycode` - the keycode to query e.g. `VK_SPACE`
  Returns:
    true if events with the given key code can (ever) be generated on this system, false otherwise.
  See Also:
    `HRcCapabilities.isSupported(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD